<xml></xml>

Collapse All Expand All Code: All Code: Multiple Code: C# Code: Visual Basic Code: Visual C++

Berkeley DB .NET API Documentation
DatabaseConfig..::.UseMVCC Field
DatabaseConfig Class See Also Send Feedback

Open the database with support for multiversion concurrency control.

Namespace: BerkeleyDB
Assembly: libdb_dotnet53 (in libdb_dotnet53.dll) Version: 5.3.28.0

# Syntax

C#

    public bool UseMVCC

Visual Basic (Declaration)

    Public UseMVCC As Boolean

Visual C++

    public:
    bool UseMVCC

# Remarks

This will cause updates to the database to follow a copy-on-write protocol, which is required to support snapshot isolation. This settting requires that the database be transactionally protected during its open and is not supported by the queue format.

# See Also

DatabaseConfig Class
BerkeleyDB Namespace